package main

import (
	"go.wit.com/gui/widget"
)

// this is specific to the nocui toolkit
func initWidget(n *node) *guiWidget {
	var w *guiWidget
	w = new(guiWidget)

	if n.WidgetType == widget.Root {
		n.WidgetId = 0
		me.rootNode = n
		return w
	}
	return w
}
